#include <cstdio>

using namespace std;

int main(){
	int n, ma; 
	scanf("%d", &n); 
	n--; 
	int a[n][2]; 
	char c[n]; 
	int b[3]; 
	b[0] = 0; 
	b[1] = 0;
	b[2] = 0; 
	for(int i = 0 ; i < n ; i++){
		for(int j = 0 ; j < 2 ; j++){
			scanf("%d", &a[i][j]);
		}
		scanf("%s", &c[i]); 
		switch(c[i]){
			case 'S':
				b[0]++;
				break; 
			case 'I':
				b[1]++;
				break; 
			case 'O':
				b[2]++;
				break; 
		}
	}
	ma = b[0]; 
	if(b[1] > ma) ma = b[1]; 
	if(b[2] > ma) ma = b[2]; 
	printf("%d", ma); 
	return 0;
}